This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 442150 - gpk-application crashes on cancelling authentication
gpk-application crashes on cancelling authentication
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9PKBlocker
  Show dependency treegraph
 
Reported: 2008-04-11 23:30 EDT by Rahul Sundaram
Modified: 2013-03-13 01:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-17 06:38:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gpk-application crash report (242.33 KB, text/plain)
2008-04-14 10:48 EDT, Rahul Sundaram
no flags Details

  None (edit)
Description Rahul Sundaram 2008-04-11 23:30:05 EDT
Description of problem:


Version-Release number of selected component (if applicable):

gnome-packagekit-0.1.11-3


How reproducible:

everytime


Steps to Reproduce:
1. try to install a package by double clicking on it
2. Authentication pops up asking for password
3. Cancel it
4. watch gpk-application crash
Comment 1 Matthias Clasen 2008-04-14 10:32:56 EDT
I don't get a crash with gnome-packagekit-0.1.12-1.20080412git

Do you still see this problem ?
Comment 2 Rahul Sundaram 2008-04-14 10:48:13 EDT
Created attachment 302346 [details]
gpk-application crash report

Yep. Revoke all permissions before you try that. Attached is the crash report
Comment 3 Matthias Clasen 2008-04-14 13:13:39 EDT
Not clear to me what you are doing here. Double-clicking on a package does not
start gpk-application....
Comment 4 Rahul Sundaram 2008-04-15 02:28:17 EDT
Let me try again. 


0)Revoke all prior authorizations related to PackageKit
1)Start gpk-application. 
2)Try to install any package. 
3)Cancel the authentication dialog box. 

The application crashes. The same thing happens wherever policy kit
authentication is initiated including gpk-update-viewer. 
Comment 5 Matthias Clasen 2008-04-15 11:43:23 EDT
I've fixed this in head, Richard, please merge to stable.

Note You need to log in before you can comment on or make changes to this bug.